import { useEffect, useRef } from 'react';

export const useTitle = (title?: string) => {
  const { current } = useRef<string>(document.title);

  useEffect(() => {
    document.title = title ?? current;
  }, []);
};
